Debian Bug report logs - #522741
ITP: ieee-data -- Organizationally Unique Identifier listing

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Filippo Giunchedi <filippo@debian.org>

Date: Mon, 6 Apr 2009 08:24:01 UTC

Owned by: Luciano Bello <luciano@debian.org>

Severity: wishlist

Fixed in versions ieee-data/20131223.1, ieee-data/20131224.1

Done: Luciano Bello <luciano@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#522741; Package wnpp. (Mon, 06 Apr 2009 08:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. (Mon, 06 Apr 2009 08:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ieee-data -- Organizationally Unique Identifier listing
Date: Mon, 06 Apr 2009 10:21:08 +0200
Package: wnpp
Severity: wishlist
Owner: Filippo Giunchedi <filippo@debian.org>

* Package name    : ieee-data
  Version         : 20090224
  Upstream Author : IEEE
* URL             : http://standards.ieee.org/regauth/oui/index.shtml
* License         : not clear if it can be public domain
  Programming Lang: Plain text
  Description     : Organizationally Unique Identifier listing

Provide the OUI listing of identifiers registered with IEEE.
Include also Individual Address Block (IAB) listings.

Preliminary package available at
http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk/#_deb-maint_ieee-data_trunk_ 

I've contacted IEEE to clear about the copyright/license of the
listings.




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Filippo Giunchedi <filippo@debian.org>:
Bug#522741; Package wnpp. (Mon, 06 Apr 2009 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Filippo Giunchedi <filippo@debian.org>. (Mon, 06 Apr 2009 16:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 522741@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: Filippo Giunchedi <filippo@debian.org>, 522741@bugs.debian.org
Subject: Re: Bug#522741: ITP: ieee-data -- Organizationally Unique Identifier listing
Date: Mon, 6 Apr 2009 10:55:21 -0600
[Message part 1 (text/plain, inline)]
On Monday 06 April 2009 02:21:08 Filippo Giunchedi wrote:
> * Package name    : ieee-data

PLEASE don't call this such a poor, generic name. The OUI listing is 
certainly not the only "data" from the IEEE.

I'd suggest ieee-oui-data.

-- 
Wesley J. Landaker <wjl@icecavern.net> <xmpp:wjl@icecavern.net>
OpenPGP FP: 4135 2A3B 4726 ACC5 9094  0097 F0A9 8A4C 4CD6 E3D2
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#522741; Package wnpp. (Mon, 06 Apr 2009 17:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Mon, 06 Apr 2009 17:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 522741@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: "Wesley J\. Landaker" <wjl@icecavern.net>
Cc: 522741@bugs.debian.org
Subject: Re: Bug#522741: ITP: ieee-data -- Organizationally Unique Identifier listing
Date: Mon, 6 Apr 2009 19:03:04 +0200
On Mon, Apr 06, 2009 at 10:55:21AM -0600, Wesley J. Landaker wrote:
> On Monday 06 April 2009 02:21:08 Filippo Giunchedi wrote:
> > * Package name    : ieee-data
> 
> PLEASE don't call this such a poor, generic name. The OUI listing is 
> certainly not the only "data" from the IEEE.
> 
> I'd suggest ieee-oui-data.

The idea would be to gather more data under the same source package and split it
into binaries as needed, can you point to more IEEE data already in the archive
you are referring to?

regards,
filippo
--
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

I get mail, therefore I am.
-- Dilbert




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Filippo Giunchedi <filippo@debian.org>:
Bug#522741; Package wnpp. (Tue, 07 Apr 2009 06:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Wesley J. Landaker" <wjl@icecavern.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Filippo Giunchedi <filippo@debian.org>. (Tue, 07 Apr 2009 06:24:02 GMT) Full text and rfc822 format available.

Message #20 received at 522741@bugs.debian.org (full text, mbox):

From: "Wesley J. Landaker" <wjl@icecavern.net>
To: Filippo Giunchedi <filippo@debian.org>
Cc: 522741@bugs.debian.org
Subject: Re: Bug#522741: ITP: ieee-data -- Organizationally Unique Identifier listing
Date: Tue, 7 Apr 2009 00:23:07 -0600
On Monday 06 April 2009 11:03:04 Filippo Giunchedi wrote:
> On Mon, Apr 06, 2009 at 10:55:21AM -0600, Wesley J. Landaker wrote:
> > On Monday 06 April 2009 02:21:08 Filippo Giunchedi wrote:
> > > * Package name    : ieee-data
> >
> > PLEASE don't call this such a poor, generic name. The OUI listing is
> > certainly not the only "data" from the IEEE.
> >
> > I'd suggest ieee-oui-data.
>
> The idea would be to gather more data under the same source package and
> split it into binaries as needed, 

Okay, I have no objections if it's just the source package with that name.

> can you point to more IEEE data already
> in the archive you are referring to?

Not off the top of my head, but if this is meant to be a source package to 
collect it all and avoid duplication, I'm all for that!




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#522741; Package wnpp. (Tue, 07 Apr 2009 07:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Tue, 07 Apr 2009 07:09:07 GMT) Full text and rfc822 format available.

Message #25 received at 522741@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: "Wesley J\. Landaker" <wjl@icecavern.net>
Cc: 522741@bugs.debian.org
Subject: Re: Bug#522741: ITP: ieee-data -- Organizationally Unique Identifier listing
Date: Tue, 7 Apr 2009 09:07:48 +0200
On Tue, Apr 07, 2009 at 12:23:07AM -0600, Wesley J. Landaker wrote:
> > The idea would be to gather more data under the same source package and
> > split it into binaries as needed, 
> 
> Okay, I have no objections if it's just the source package with that name.
> 
> > can you point to more IEEE data already
> > in the archive you are referring to?
> 
> Not off the top of my head, but if this is meant to be a source package to 
> collect it all and avoid duplication, I'm all for that!

Allright then, indeed it was not crystal clear that ieee-data is the source
name. :)

filippo
--
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

It is easier to write an incorrect program than understand a correct one.
-- Alan Perlis




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Filippo Giunchedi <filippo@debian.org>:
Bug#522741; Package wnpp. (Fri, 24 Jul 2009 13:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jan Wagner <waja@cyconet.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Filippo Giunchedi <filippo@debian.org>. (Fri, 24 Jul 2009 13:45:06 GMT) Full text and rfc822 format available.

Message #30 received at 522741@bugs.debian.org (full text, mbox):

From: Jan Wagner <waja@cyconet.org>
To: 522741@bugs.debian.org
Cc: 481298@bugs.debian.org
Subject: Re: ITP: ieee-data -- Organizationally Unique Identifier listing
Date: Fri, 24 Jul 2009 15:35:28 +0200
[Message part 1 (text/plain, inline)]
Hi Filippo,

On Monday 06 April 2009, Filippo Giunchedi wrote:
> * Package name    : ieee-data
>   Version         : 20090224
>   Upstream Author : IEEE
> * URL             : http://standards.ieee.org/regauth/oui/index.shtml
> * License         : not clear if it can be public domain
>   Programming Lang: Plain text
>   Description     : Organizationally Unique Identifier listing
>
> Provide the OUI listing of identifiers registered with IEEE.
> Include also Individual Address Block (IAB) listings.
>
> Preliminary package available at
> http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk/#_deb-mai
>nt_ieee-data_trunk_
>
> I've contacted IEEE to clear about the copyright/license of the
> listings.

any process here? Not that I'm in a hurry, I just wan't to know if there is 
anything blocking the issue.

Thanks and with kind regards, Jan.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#522741; Package wnpp. (Fri, 24 Jul 2009 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filippo Giunchedi <filippo@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 24 Jul 2009 23:30:03 GMT) Full text and rfc822 format available.

Message #35 received at 522741@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: Jan Wagner <waja@cyconet.org>, 522741@bugs.debian.org
Cc: 481298@bugs.debian.org
Subject: Re: Bug#522741: ITP: ieee-data -- Organizationally Unique Identifier listing
Date: Sat, 25 Jul 2009 00:27:16 +0100
On Fri, Jul 24, 2009 at 03:35:28PM +0200, Jan Wagner wrote:
> Hi Filippo,
> 
> On Monday 06 April 2009, Filippo Giunchedi wrote:
> > * Package name    : ieee-data
> >   Version         : 20090224
> >   Upstream Author : IEEE
> > * URL             : http://standards.ieee.org/regauth/oui/index.shtml
> > * License         : not clear if it can be public domain
> >   Programming Lang: Plain text
> >   Description     : Organizationally Unique Identifier listing
> >
> > Provide the OUI listing of identifiers registered with IEEE.
> > Include also Individual Address Block (IAB) listings.
> >
> > Preliminary package available at
> > http://svn.debian.org/wsvn/collab-maint/deb-maint/ieee-data/trunk/#_deb-mai
> >nt_ieee-data_trunk_
> >
> > I've contacted IEEE to clear about the copyright/license of the
> > listings.
> 
> any process here? Not that I'm in a hurry, I just wan't to know if there is 
> anything blocking the issue.

thanks for your interest Jan, there's "progress" in the sense that licensing
terms for ieee data are not still clear

filippo
-- 
Filippo Giunchedi - http://esaurito.net - 0x6B79D401

There is nothing either good or bad, but thinking makes it so.
-- William Shakespeare. Hamlet; Act II, scene ii




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Filippo Giunchedi <filippo@debian.org>:
Bug#522741; Package wnpp. (Sat, 19 Feb 2011 18:13:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Filippo Giunchedi <filippo@debian.org>. (Sat, 19 Feb 2011 18:13:27 GMT) Full text and rfc822 format available.

Message #40 received at 522741@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 522741@bugs.debian.org
Cc: control@bugs.debian.org
Subject: ieee-data: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:02:46 +0000
retitle 522741 RFP: ieee-data -- Organizationally Unique Identifier listing
noowner 522741
thanks

Hi,

This is an automatic email to change the status of ieee-data back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting ieee-data, please send a mail to
<control@bugs.debian.org> with:

 retitle 522741 ITP: ieee-data -- Organizationally Unique Identifier listing
 owner 522741 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <522741@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: ieee-data -- Organizationally Unique Identifier listing' from 'ITP: ieee-data -- Organizationally Unique Identifier listing' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:25:41 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Filippo Giunchedi <filippo@debian.org>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 18:25:42 GMT) Full text and rfc822 format available.

Added indication that bug 522741 blocks 481298 Request was from Jan Wagner <waja@cyconet.org> to control@bugs.debian.org. (Wed, 28 Mar 2012 19:24:54 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#522741; Package wnpp. (Sun, 21 Jul 2013 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Octavio Alvarez" <alvarezp@alvarezp.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 21 Jul 2013 19:33:04 GMT) Full text and rfc822 format available.

Message #51 received at 522741@bugs.debian.org (full text, mbox):

From: "Octavio Alvarez" <alvarezp@alvarezp.com>
To: 522741@bugs.debian.org
Subject: ieee-data: not actually including oui.txt
Date: Sun, 21 Jul 2013 12:24:29 -0700
Hi.

I'd like to ask if there was any progress on this. I'd like to package  
ipv6-toolkit but the licensing of oui.txt is "unclear" (to say the best).

> there's "progress" in the sense that licensing terms for ieee data are  
> not still clear

Some say that it is not copyrightable for being a list of facts [1],  
others say that databases are copyrightable in some places [2], and some  
claim to have written to the IEEE and received a negative permission on  
redistribution of the file [3].

[1] http://lists.debian.org/debian-legal/2006/02/msg00175.html
[2] http://lists.debian.org/debian-legal/2006/02/msg00208.html
[3]  
https://blog.flameeyes.eu/2012/04/who-said-that-ids-wouldn-t-have-license-issues

What if this package downloaded the data live from the Internet like the  
flashplugin-nonfree does?

-- 
Octavio.



Changed Bug title to 'ITP: ieee-data -- Organizationally Unique Identifier listing' from 'RFP: ieee-data -- Organizationally Unique Identifier listing' Request was from Luciano Bello <luciano@debian.org> to control@bugs.debian.org. (Mon, 18 Nov 2013 23:12:05 GMT) Full text and rfc822 format available.

Owner recorded as Luciano Bello <luciano@debian.org>. Request was from Luciano Bello <luciano@debian.org> to control@bugs.debian.org. (Mon, 18 Nov 2013 23:12:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 26 Nov 2013 19:06:08 GMT) Full text and rfc822 format available.

Reply sent to Luciano Bello <luciano@debian.org>:
You have taken responsibility. (Fri, 27 Dec 2013 16:03:12 GMT) Full text and rfc822 format available.

Notification sent to Filippo Giunchedi <filippo@debian.org>:
Bug acknowledged by developer. (Fri, 27 Dec 2013 16:03:12 GMT) Full text and rfc822 format available.

Message #62 received at 522741-close@bugs.debian.org (full text, mbox):

From: Luciano Bello <luciano@debian.org>
To: 522741-close@bugs.debian.org
Subject: Bug#522741: fixed in ieee-data 20131223.1
Date: Fri, 27 Dec 2013 16:00:06 +0000
Source: ieee-data
Source-Version: 20131223.1

We believe that the bug you reported is fixed in the latest version of
ieee-data, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 522741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luciano Bello <luciano@debian.org> (supplier of updated ieee-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Dec 2013 15:30:55 +0100
Source: ieee-data
Binary: ieee-data
Architecture: source all
Version: 20131223.1
Distribution: unstable
Urgency: low
Maintainer: Luciano Bello <luciano@debian.org>
Changed-By: Luciano Bello <luciano@debian.org>
Description: 
 ieee-data  - OUI and IAB listings
Closes: 522741
Changes: 
 ieee-data (20131223.1) unstable; urgency=low
 .
   * Initial release. (closes: #522741)
Checksums-Sha1: 
 bacab8a43b7525c3e847b745f9c5636dce05bc0a 989 ieee-data_20131223.1.dsc
 18697f608bc57d86404724ed61f697fcba3c220f 1159063 ieee-data_20131223.1.tar.gz
 9ea966483e110173660e00e9e72ebb1597502978 776120 ieee-data_20131223.1_all.deb
Checksums-Sha256: 
 ee220c548de1467c018e8d71118449a9f4da56e7ae54238d580c6c82391df391 989 ieee-data_20131223.1.dsc
 d4e20d4a95300d555964f550c51d180e2d1859cf1a19d6aeb314cda5245661a8 1159063 ieee-data_20131223.1.tar.gz
 14a995caaa1df40664b6722bbc80f437893daf71dfe7faad059fbcc0c50e046e 776120 ieee-data_20131223.1_all.deb
Files: 
 eb981c2f57addbe48c316f4fcba3a468 989 net optional ieee-data_20131223.1.dsc
 6bce7985add07b83a2e417ea369dea6a 1159063 net optional ieee-data_20131223.1.tar.gz
 20892a57deb563c5eea1e3642789d481 776120 net optional ieee-data_20131223.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlK4UN8ACgkQQWTRs4lLtHntKQCdEQz3g+FOjVTDiiq1ZwoLs2Ii
n58AoMTJndT5twPG/+0/wLqkl6dOK3nI
=Xpje
-----END PGP SIGNATURE-----




Reply sent to Luciano Bello <luciano@debian.org>:
You have taken responsibility. (Fri, 27 Dec 2013 16:03:16 GMT) Full text and rfc822 format available.

Notification sent to Filippo Giunchedi <filippo@debian.org>:
Bug acknowledged by developer. (Fri, 27 Dec 2013 16:03:16 GMT) Full text and rfc822 format available.

Message #67 received at 522741-close@bugs.debian.org (full text, mbox):

From: Luciano Bello <luciano@debian.org>
To: 522741-close@bugs.debian.org
Subject: Bug#522741: fixed in ieee-data 20131224.1
Date: Fri, 27 Dec 2013 16:00:07 +0000
Source: ieee-data
Source-Version: 20131224.1

We believe that the bug you reported is fixed in the latest version of
ieee-data, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 522741@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luciano Bello <luciano@debian.org> (supplier of updated ieee-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 24 Dec 2013 20:32:43 +0100
Source: ieee-data
Binary: ieee-data
Architecture: source all
Version: 20131224.1
Distribution: unstable
Urgency: low
Maintainer: Luciano Bello <luciano@debian.org>
Changed-By: Luciano Bello <luciano@debian.org>
Description: 
 ieee-data  - OUI and IAB listings
Closes: 522741
Changes: 
 ieee-data (20131224.1) unstable; urgency=low
 .
   * Initial release. (closes: #522741)
Checksums-Sha1: 
 07351920cdfe4c97a3d22d571f2aa42de85a8fdd 989 ieee-data_20131224.1.dsc
 6bf9daa197c4ac50bbbeba813723f39000537464 1160019 ieee-data_20131224.1.tar.gz
 ea9bfd74bce1b8db72434677e38dcf31cac33118 776430 ieee-data_20131224.1_all.deb
Checksums-Sha256: 
 313d037edae9f0cdde47be8877b0a117d7482908950cd42cb8f04fe364905028 989 ieee-data_20131224.1.dsc
 1fe0960784d8e172e9df4f5971f300ecec455540383c0ccf4074073a764ee21a 1160019 ieee-data_20131224.1.tar.gz
 6c0595cbf7ae4d50633d3b8fac0fe6dcb01e8dc82189fb8134f887e020af4008 776430 ieee-data_20131224.1_all.deb
Files: 
 87be4db9e0aba226cf7b8a50b048b383 989 net optional ieee-data_20131224.1.dsc
 1cdd6f4f8d9b7ab8381c852c5e285412 1160019 net optional ieee-data_20131224.1.tar.gz
 1782487f2771125a258b3acbf0877da7 776430 net optional ieee-data_20131224.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlK55EAACgkQQWTRs4lLtHmeJACeMOpl+juM5slcVyqtPwQkRRTY
H3sAoMBepLeJeDdwwnmjSdJXccCHe3Pu
=KO+H
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Jan 2014 07:32:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:33:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.